using LitJson;

public class RankInfo : HeaderData
{
	public int RankId;

	public string rank_name;

	public int necessary_point;

	public int accumulate_point;

	public int match_count;

	public int necessary_win;

	public int reset_lose;

	public int _necessaryMasterPoint;

	public RankInfo(JsonData json)
	{
		RankId = json["rank_id"].ToInt();
		rank_name = json["rank_name"].ToString();
		necessary_point = json["necessary_point"].ToInt();
		accumulate_point = json["accumulate_point"].ToInt();
		match_count = json["match_count"].ToInt();
		necessary_win = json["necessary_win"].ToInt();
		reset_lose = json["reset_lose"].ToInt();
	}
}
